<?php




namespace app\common\model\store\order;

use app\common\model\BaseModel;

class StoreImport extends BaseModel
{

    public static function tablePk(): ?string
    {
        return 'import_id';
    }

    public static function tableName(): string
    {
        return 'store_import';
    }

    public function searchStatusAttr($query,$value)
    {
        $query->where('status',$value);
    }

    public function searchDateAttr($query,$value)
    {
        getModelTime($query,$value);
    }

    public function searchImportTypeAttr($query,$value)
    {
        $query->where('import_type',$value);
    }

    public function searchTypeAttr($query,$value)
    {
        $query->where('type',$value);
    }

}
